/*
 * libdevice-node
 *
 * Copyright (c) 2019 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#ifndef __HW_BEZEL_H__
#define __HW_BEZEL_H__

#include <hw/common.h>

/**
 * The id of this device
 */
#define BEZEL_HARDWARE_DEVICE_ID	"bezel"

#define BEZEL_HARDWARE_DEVICE_VERSION	MAKE_VERSION(0,1)

enum bezel_state {
	BEZEL_TURNOFF = 0,
	BEZEL_TURNON,
};

struct bezel_device {
	struct hw_common common;

	/* Control hardware bezel or software bezel.
	 * They are mutually exclusive. If a pair of get/set function exists,
	 * the other pair must not. */

	/* Control hardware bezel state */
	int (*get_state)(enum bezel_state *state);
	int (*set_state)(enum bezel_state state);
	/* Control software bezel state */
	int (*get_sw_state)(enum bezel_state *state);
	int (*set_sw_state)(enum bezel_state state);
};

#endif
